Skip to main content
`Ctrl`+`K`

# PetscCallMPIReturnMPI

Checks error code returned from MPI calls, if non-zero it calls the error handler and then returns an MPI error code. To check for errors in PETSc-provided MPI callbacks.

## Synopsis

    #include <petscsys.h>
    void PetscCallMPIReturnMPI(MPI_Function(args))

Not Collective

## Input Parameter

- MPI_Function - an MPI function that returns an MPI error code

## See Also

`SETERRMPI()`, `PetscCall()`, `PetscCallMPI()`, `PetscCallReturnMPI()`, `SETERRQ()`, `SETERRABORT()`, `PetscCallAbort()`, `PetscCallMPIAbort()`, `PetscTraceBackErrorHandler()`, `PetscPushErrorHandler()`, `PetscError()`, `CHKMEMQ`, `PetscCallMPINull()`

## Level

advanced

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages